Bug 110667 - [CI][DRMTIP] igt@gem_eio@in-flight-suspend - fail - Failed assertion: __gem_execbuf(fd, execbuf) == 0, error: -22 != 0
Summary: [CI][DRMTIP] igt@gem_eio@in-flight-suspend - fail - Failed assertion: __gem_e...
Status: RESOLVED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: DRI git
Hardware: Other All
: medium normal
Assignee: Intel GFX Bugs mailing list
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard: ReadyForDev
Keywords:
Depends on:
Blocks:
 
Reported: 2019-05-13 07:09 UTC by Lakshmi
Modified: 2019-07-03 20:18 UTC (History)
1 user (show)

See Also:
i915 platform: BDW, BSW/CHT, BXT, BYT, HSW, SKL
i915 features: GEM/Other


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Lakshmi 2019-05-13 07:09:37 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_283/fi-bsw-n3050/igt@gem_eio@in-flight-suspend.html
Starting subtest: in-flight-suspend
(gem_eio:1226) ioctl_wrappers-CRITICAL: Test assertion failure function gem_execbuf, file ../lib/ioctl_wrappers.c:609:
(gem_eio:1226) ioctl_wrappers-CRITICAL: Failed assertion: __gem_execbuf(fd, execbuf) == 0
(gem_eio:1226) ioctl_wrappers-CRITICAL: error: -22 != 0
Subtest in-flight-suspend failed.
**** DEBUG ****
(gem_eio:1226) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_eio:1226) igt_dummyload-DEBUG: Test requirement passed: vgem_has_fences(cork->vgem.device)
(gem_eio:1226) igt_debugfs-DEBUG: Opening debugfs directory '/sys/kernel/debug/dri/0'
(gem_eio:1226) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_eio:1226) igt_dummyload-DEBUG: Test requirement passed: vgem_has_fences(cork->vgem.device)
(gem_eio:1226) igt_debugfs-DEBUG: Opening debugfs directory '/sys/kernel/debug/dri/0'
(gem_eio:1226) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_eio:1226) igt_dummyload-DEBUG: Test requirement passed: vgem_has_fences(cork->vgem.device)
(gem_eio:1226) igt_debugfs-DEBUG: Opening debugfs directory '/sys/kernel/debug/dri/0'
(gem_eio:1226) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_eio:1226) igt_dummyload-DEBUG: Test requirement passed: vgem_has_fences(cork->vgem.device)
(gem_eio:1226) igt_debugfs-DEBUG: Opening debugfs directory '/sys/kernel/debug/dri/0'
(gem_eio:1226) DEBUG: Test requirement passed: max > 1
(gem_eio:1226) drmtest-DEBUG: Test requirement passed: is_i915_device(fd) && has_known_intel_chipset(fd)
(gem_eio:1226) igt_debugfs-DEBUG: Opening debugfs directory '/sys/kernel/debug/dri/0'
(gem_eio:1226) ioctl_wrappers-DEBUG: Test requirement passed: dir >= 0
(gem_eio:1226) ioctl_wrappers-DEBUG: Test requirement passed: err == 0
(gem_eio:1226) DEBUG: Test requirement passed: gem_has_exec_fence(fd)
(gem_eio:1226) DEBUG: Disabling GPU reset
(gem_eio:1226) DEBUG: Test requirement passed: fd >= 0
(gem_eio:1226) DEBUG: Test requirement passed: i915_reset_control(false)
(gem_eio:1226) igt_dummyload-DEBUG: Test requirement passed: nengine
(gem_eio:1226) igt_core-DEBUG: Test requirement passed: !igt_run_in_simulation()
(gem_eio:1226) igt_aux-DEBUG: Test requirement passed: read(delay_fd, delay_str, sizeof(delay_str))
(gem_eio:1226) igt_aux-DEBUG: Test requirement passed: write(delay_fd, delay_str, strlen(delay_str))
(gem_eio:1226) igt_core-DEBUG: Test requirement passed: !igt_run_in_simulation()
(gem_eio:1226) igt_aux-DEBUG: Test requirement passed: (power_dir = open("/sys/power", O_RDONLY)) >= 0
(gem_eio:1226) igt_aux-DEBUG: Test requirement passed: get_supported_suspend_states(power_dir) & (1 << state)
(gem_eio:1226) igt_aux-DEBUG: Test requirement passed: test == SUSPEND_TEST_NONE || faccessat(power_dir, "pm_test", R_OK | W_OK, 0) == 0
(gem_eio:1226) igt_aux-DEBUG: Test requirement passed: ret == 0
(gem_eio:1226) igt_core-INFO: [cmd] rtcwake: wakeup from "mem" using /dev/rtc0 at Sat May 11 02:58:16 2019
(gem_eio:1226) igt_debugfs-DEBUG: Opening debugfs directory '/sys/kernel/debug/dri/0'
(gem_eio:1226) DEBUG: Enabling GPU reset
(gem_eio:1226) DEBUG: Test requirement passed: fd >= 0
(gem_eio:1226) igt_gt-DEBUG: Triggering GPU reset
(gem_eio:1226) igt_debugfs-DEBUG: Opening debugfs directory '/sys/kernel/debug/dri/0'
(gem_eio:1226) DEBUG: Checking that the GPU recovered
(gem_eio:1226) DEBUG: hang delay = 46892.84us
(gem_eio:1226) ioctl_wrappers-CRITICAL: Test assertion failure function gem_execbuf, file ../lib/ioctl_wrappers.c:609:
(gem_eio:1226) ioctl_wrappers-CRITICAL: Failed assertion: __gem_execbuf(fd, execbuf) == 0
(gem_eio:1226) ioctl_wrappers-CRITICAL: error: -22 != 0
(gem_eio:1226) igt_core-INFO: Stack trace:
(gem_eio:1226) igt_core-INFO:   #0 ../lib/igt_core.c:1474 __igt_fail_assert()
(gem_eio:1226) igt_core-INFO:   #1 [gem_execbuf+0x44]
(gem_eio:1226) igt_core-INFO:   #2 ../lib/i915/gem_submission.c:218 gem_test_engine()
(gem_eio:1226) igt_core-INFO:   #3 ../tests/i915/gem_eio.c:79 trigger_reset()
(gem_eio:1226) igt_core-INFO:   #4 ../tests/i915/gem_eio.c:528 __real_main814()
(gem_eio:1226) igt_core-INFO:   #5 ../tests/i915/gem_eio.c:814 main()
(gem_eio:1226) igt_core-INFO:   #6 ../csu/libc-start.c:344 __libc_start_main()
(gem_eio:1226) igt_core-INFO:   #7 [_start+0x2a]
****  END  ****
Subtest in-flight-suspend: FAIL (4.455s)
Comment 1 CI Bug Log 2019-05-13 07:13:54 UTC
The CI Bug Log issue associated to this bug has been updated.

### New filters associated

* BSW:  igt@gem_eio@in-flight-suspend - fail - Failed assertion: __gem_execbuf(fd, execbuf) == 0, error: -22 != 0
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_283/fi-bsw-n3050/igt@gem_eio@in-flight-suspend.html
Comment 2 CI Bug Log 2019-05-15 06:50:27 UTC
A CI Bug Log filter associated to this bug has been updated:

{- BSW:  igt@gem_eio@in-flight-suspend - fail - Failed assertion: __gem_execbuf(fd, execbuf) == 0, error: -22 != 0 -}
{+ SKL BSW:  igt@gem_eio@in-flight-suspend - fail - Failed assertion: __gem_execbuf(fd, execbuf) == 0, error: -22 != 0 +}

New failures caught by the filter:

  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_284/fi-skl-gvtdvm/igt@gem_eio@in-flight-suspend.html
Comment 3 CI Bug Log 2019-05-15 10:18:59 UTC
A CI Bug Log filter associated to this bug has been updated:

{- SKL BSW:  igt@gem_eio@in-flight-suspend - fail - Failed assertion: __gem_execbuf(fd, execbuf) == 0, error: -22 != 0 -}
{+ BSW SKL KBL GLK:  igt@gem_eio@in-flight-suspend - fail - Failed assertion: __gem_execbuf(fd, execbuf) == 0, error: -22 != 0 +}

New failures caught by the filter:

  * https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6084/shard-glk5/igt@gem_eio@in-flight-suspend.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6085/shard-kbl2/igt@gem_eio@in-flight-suspend.html
Comment 4 CI Bug Log 2019-05-16 07:33:33 UTC
A CI Bug Log filter associated to this bug has been updated:

{- BSW SKL KBL GLK:  igt@gem_eio@in-flight-suspend - fail - Failed assertion: __gem_execbuf(fd, execbuf) == 0, error: -22 != 0 -}
{+ BSW BDW SKL KBL GLK:  igt@gem_eio@in-flight-suspend - fail - Failed assertion: __gem_execbuf(fd, execbuf) == 0, error: -22 != 0 +}

New failures caught by the filter:

  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_286/fi-bdw-gvtdvm/igt@gem_eio@in-flight-suspend.html
Comment 5 CI Bug Log 2019-05-23 14:56:00 UTC
A CI Bug Log filter associated to this bug has been updated:

{- BSW BDW SKL KBL GLK:  igt@gem_eio@in-flight-suspend - fail - Failed assertion: __gem_execbuf(fd, execbuf) == 0, error: -22 != 0 -}
{+ BYT BSW BDW SKL KBL GLK:  igt@gem_eio@in-flight-suspend - fail - Failed assertion: __gem_execbuf(fd, execbuf) == 0, error: -22 != 0 +}

New failures caught by the filter:

  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_288/fi-byt-n2820/igt@gem_eio@in-flight-suspend.html
Comment 6 CI Bug Log 2019-05-23 17:19:03 UTC
A CI Bug Log filter associated to this bug has been updated:

{- BYT BSW BDW SKL KBL GLK:  igt@gem_eio@in-flight-suspend - fail - Failed assertion: __gem_execbuf(fd, execbuf) == 0, error: -22 != 0 -}
{+ BYT BSW BDW APL SKL KBL GLK:  igt@gem_eio@in-flight-suspend - fail - Failed assertion: __gem_execbuf(fd, execbuf) == 0, error: -22 != 0 +}

New failures caught by the filter:

  * https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6114/shard-apl7/igt@gem_eio@in-flight-suspend.html
Comment 7 CI Bug Log 2019-05-27 09:37:32 UTC
A CI Bug Log filter associated to this bug has been updated:

{- BYT BSW BDW APL SKL KBL GLK:  igt@gem_eio@in-flight-suspend - fail - Failed assertion: __gem_execbuf(fd, execbuf) == 0, error: -22 != 0 -}
{+ BYT BSW BDW APL SKL KBL GLK ICL:  igt@gem_eio@in-flight-suspend - fail - Failed assertion: __gem_execbuf(fd, execbuf) == 0, error: -22 != 0 +}

New failures caught by the filter:

  * https://intel-gfx-ci.01.org/tree/drm-tip/IGT_5015/shard-iclb1/igt@gem_eio@in-flight-suspend.html
Comment 8 CI Bug Log 2019-06-07 11:46:32 UTC
A CI Bug Log filter associated to this bug has been updated:

{- BYT BSW BDW APL SKL KBL GLK ICL:  igt@gem_eio@in-flight-suspend - fail - Failed assertion: __gem_execbuf(fd, execbuf) == 0, error: -22 != 0 -}
{+ BYT HSW BSW BDW APL SKL KBL GLK ICL:  igt@gem_eio@in-flight-suspend - fail - Failed assertion: __gem_execbuf(fd, execbuf) == 0, error: -22 != 0 +}

New failures caught by the filter:

  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_301/fi-hsw-peppy/igt@gem_eio@in-flight-suspend.html
Comment 9 CI Bug Log 2019-06-25 08:41:22 UTC
A CI Bug Log filter associated to this bug has been updated:

{- BYT HSW BSW BDW APL SKL KBL GLK ICL:  igt@gem_eio@in-flight-suspend - fail - Failed assertion: __gem_execbuf(fd, execbuf) == 0, error: -22 != 0 -}
{+ SNB BYT HSW BSW BDW APL SKL KBL GLK ICL:  igt@gem_eio@in-flight-suspend - fail - Failed assertion: __gem_execbuf(fd, execbuf) == 0, error: -22 != 0 +}

New failures caught by the filter:

  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_311/fi-snb-2520m/igt@gem_eio@in-flight-suspend.html
Comment 10 Tvrtko Ursulin 2019-06-27 12:27:42 UTC
A very strange issue. Possibly even memory corruption after suspend-resume.

Sent a patch in https://patchwork.freedesktop.org/series/62854/ to see if it will change the pattern.
Comment 11 Chris Wilson 2019-07-03 20:18:02 UTC
Let's see if 

commit 03779dd3de8a57544f124d9952a6d2b3e34e34ca
Author: Tvrtko Ursulin <tvrtko.ursulin@intel.com>
Date:   Thu Jun 27 13:25:52 2019 +0100

    lib/i915: Use engine discovery in gem_test_engines
    
    If request is to verify all engines work, use the new engine discovery API
    so we can actually test all.
    
    There is a sporadic and mysterious, possibly memory corruption issue
    surronding this area so lets see if this changes the pattern.
    
    It is easy to do in this function due it re-opening the driver and
    throwing it away. So there are no concerns that the modified default
    context can affect any other test.
    
    Signed-off-by: Tvrtko Ursulin <tvrtko.ursulin@intel.com>
    References: https://bugzilla.freedesktop.org/show_bug.cgi?id=110667
    Reviewed-by: Chris Wilson <chris@chris-wilson.co.uk>

does paper over the issue.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.